Subject: bug#33570: 26.1.90; Weirdness with prefix arg and kmacro-end-and-call-macro

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Dec 2018 09:22:56 +0200

> From: Live System User <[email-masked]>
> Date: Sat, 01 Dec 2018 21:28:47 -0500
> 
> Macro:
> 
> 5*;			;; self-insert-command
> C-a			;; move-beginning-of-line
> C-n			;; next-line
> 
> 
>         What I was trying to do was to comment out some lines in
>         an elisp file by adding  semi-colons, going back to the
>         begining of the line and then positoning to the next line.
> 
>         I tested the macro via "C-x e" (kmacro-end-and-call-macro)
>         to make sure it gave the results that I wanted which it did.
>         So I then added a prefix argument:
> 
>            C-u 20 C-x e
>         and saw this:
> 
> ;;;;;(setq magit-blame-heading-format "%-20a %C %s %H")
> ;;;;;
> ;;;;;(setq magit-branch-read-upstream-first nil)
> ;;;;;(setq magit-branch-arguments nil)
> ;;;;;
> ;;;;;;; FIXME: ADD https://github.com/wuliuxiansheng/Emacs_Configuration/blob/;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;master/lisp/init-vc.el
> 
>         It looks like the macro did not go to the next line but stayed
>         on line 41 of a 51-line buffer.
> 
>         What happened?

I don't know, since you didn't show the text before the change, and
you only show 6 lines out of 20 that should have been changed.

>         Is there an issue with logical/visual lines and its
>         interection with "C-a" and/or "C-n" used in keyboard
>         macros?

C-n moves by visual lines by default, is that what you asked?